- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics/create#try-it)

Creates a rubric.

The requesting user and course owner must have rubrics creation capabilities. For details, see [licensing requirements](https://developers.google.com/workspace/classroom/rubrics/limitations#license-requirements).

For further details, see [Rubrics structure and known limitations](https://developers.google.com/classroom/rubrics/limitations).

This request must be made by the Google Cloud console of the [OAuth client ID](https://support.google.com/cloud/answer/6158849) used to create the parent course work item.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user isn't permitted to create rubrics for course work in the requested course.
- `INTERNAL` if the request has insufficient OAuth scopes.
- `INVALID_ARGUMENT` if the request is malformed and for the following [request error](https://developers.google.com/workspace/classroom/reference/Request.Errors):
  - `RubricCriteriaInvalidFormat`
- `NOT_FOUND` if the requested course or course work don't exist or the user doesn't have access to the course or course work.
- `FAILED_PRECONDITION` for the following [request error](https://developers.google.com/workspace/classroom/reference/Request.Errors):
  - `AttachmentNotVisible`

### HTTP request

`POST https://classroom.googleapis.com/v1/courses/{courseId}/courseWork/{courseWorkId}/rubrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |
| `courseWorkId` | `string` Required. Identifier of the course work. |

### Query parameters

| Parameters ||
|---|---|
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics#Rubric`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.rubrics#Rubric`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.coursework.students`

> [!IMPORTANT]
> **Important:** Creating a rubric from a Google Sheet by specifying the `sourceSpreadsheetId` requires additional scopes: either `https://www.googleapis.com/auth/spreadsheets.readonly` or `https://www.googleapis.com/auth/spreadsheets`. Be aware that the `spreadsheets` scopes are considered sensitive and may require your application to be [verified](https://support.google.com/cloud/answer/9110914).

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).